### Hierarchy

- RpcToken
  - RpcCheckSignature

## Index

### Constructors

- constructor

### Properties

- accessToken
- msg
- sig

### Methods

- getAccessTokenSig
- getClearAccessToken

## Constructors

### constructor

- new RpcCheckSignature(msg?: string, sig?: string, accessToken?: string): RpcCheckSignature

- Overrides RpcToken.constructor

  - Defined in utils/keypair/rpc/RpcCheckSignature.ts:6

  #### Parameters

  - ##### Default value msg: string = ""

  - ##### Default value sig: string = ""

  - ##### Default value accessToken: string = ""

  #### Returns RpcCheckSignature

## Properties

### accessToken

accessToken: string

Inherited from RpcToken.accessToken

- Defined in utils/keypair/rpc/RpcToken.ts:3

### msg

msg: string

- Defined in utils/keypair/rpc/RpcCheckSignature.ts:5

### sig

sig: string

- Defined in utils/keypair/rpc/RpcCheckSignature.ts:6

## Methods

### getAccessTokenSig

- getAccessTokenSig(): string

- Inherited from RpcToken.getAccessTokenSig

  - Defined in utils/keypair/rpc/RpcToken.ts:9

  #### Returns string

### getClearAccessToken

- getClearAccessToken(): string

- Inherited from RpcToken.getClearAccessToken

  - Defined in utils/keypair/rpc/RpcToken.ts:13

  #### Returns string

Generated using TypeDoc